Skip to main content
POST
/
commerce
/
catalog
/
storefront
/
shipping
/
request-labels
Error
A valid request URL is required to generate request examples
{
  "customAttributes": [
    {
      "childAttributes": "<array>",
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "isSuccessful": true,
  "messages": [
    {
      "code": "<string>",
      "message": "<string>",
      "source": "<string>"
    }
  ],
  "packageResponses": [
    {
      "customAttributes": [
        {
          "childAttributes": "<array>",
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "id": "<string>",
      "integratorId": "<string>",
      "label": {
        "imageData": "aSDinaTvuI8gbWludGxpZnk=",
        "imageFormat": "<string>",
        "labelUrl": "<string>"
      },
      "trackingNumber": "<string>"
    }
  ],
  "shippingTotal": {
    "currencyCode": "<string>",
    "value": 123
  },
  "trackingNumber": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json
carrierId
string | null
consolidationReferences
object[] | null

Consolidation references for Order Number, Shipment Number and Order Id

customAttributes
object[] | null

Carrier specific options

Ex: RequiresDeliveryConfirmation when using usps with non-express mail service type.

customerReferences
object[] | null
fulfillmentMethod
string | null

Fulfillment method for the shipment. STH / Delivery. Empty will be assumed as STH.

isoCurrencyCode
string | null
labelFormat
string | null

Returns the Label in the requested format. Specify either "LASER" or "THERMAL" format. Actual supported image formats vary by carrier.

The related Order ID for this shipment request. Informational only.

The related Order Number for this shipment request. Informational only.

The related Shipment Number for this shipment request. Informational only.

shipment
object
shipmentRequestType
string | null

Selected Shipment Request Type.

shippingServiceType
string | null

Selected Shipping Service Type.

signatureOption
string | null

Specify an optional signature option for this shipment. All packages will inherit this option value automatically. Set this option on the package level to override this value.

Response

Success

customAttributes
object[] | null
isSuccessful
boolean
messages
object[] | null
packageResponses
object[] | null
shippingTotal
object
trackingNumber
string | null